% localization of global right-hand side vector - 2D trinagular element with linear approximation functions
% In:
%   f  - global right-hand side vector (of the structure)
%   fe - right-hand side vector of one element
%   lm - vector of nodal code numbers of one element
%   e  - element number
%
% Out:
%   f  - global right-hand side vector (of the structure)
%
function f = assemblyf (f,fe,lm,e)

ndof = size(fe,1);
for i=1:ndof
        ia = lm(i);
        if ia ~=0
           f(ia,1)=f(ia,1)+fe(i,1);
        end
    end
end
